Delete API token
curl --request DELETE \
--url https://api.gcore.com/iam/clients/{clientId}/tokens/{tokenId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/iam/clients/{clientId}/tokens/{tokenId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/iam/clients/{clientId}/tokens/{tokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Tokens
Delete API token
deprecated
Deprecated: This endpoint will be removed on 2026-07-17.
Use DELETE /v2/clients/{clientId}/tokens/{tokenId} instead.
Delete API token from current account. Ensure that the API token is not being used by an active application. After deleting the token, all applications that use this token will not be able to get access to your account via API. The action cannot be reversed.
DELETE
/
iam
/
clients
/
{clientId}
/
tokens
/
{tokenId}
Delete API token
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Response
API token has been successfully deleted.
Was this page helpful?